/*------------------------------------------------------------------------------
 shiftCalendar
 ------------------------------------------------------------------------------*/
.shiftCalendar {
	position: relative;
	margin: 15px 8px;
}
.shiftCalendar h3 {
	margin: 0 0 3px;
	font-size: 1em;
	font-weight: normal;
}

/*------------------------------------------------------------------------------
 calendar
 ------------------------------------------------------------------------------*/
.calendar {
	display: grid;
	grid-template-columns: repeat(7, 1fr);
	gap: 1px;
	padding: 2px;
	background: #C1D7FE;
}
.calendar li {
	text-align: center;
	background: #FFF;
}

/* weekday
 ------------------------------------------------------------------------------*/
.calendar .weekday {
	padding: 3px 0;
	font-size: 84%;
	font-weight: bold;
	color: #333;
	background: transparent;
}
.calendar .weekday.sun {
	color: red;
}
.calendar .weekday.sat {
	color: blue;
}

/* box
 ------------------------------------------------------------------------------*/
.calendar .box {
	display: flex;
	flex-direction: column;
	height: 100%;
	min-height: 58px;
}
#PC .calendar .box {
	min-height: 80px;
}
.calendar .box.out {
	opacity: 0.4;
}

/* day
 ------------------------------------------------------------------------------*/
.calendar .day {
	text-align: right;
	display: block;
	width: 100%;
	padding: 0 3px;
	height: 16px;
	line-height: 16px;
	font-size: 11px;
	color: #333;
	background: #E9EDF6;
}
.calendar .now .day {
	font-weight: bold;
	color: #F82E5D;
	background: #FFC;
}

/* val
 ------------------------------------------------------------------------------*/
.calendar .val {
	flex: 1;
	display: flex;
	flex-direction: column;
	justify-content: center;
	width: 100%;
	font-size: 92%;
	color: #333;
	word-break: break-all;
	cursor: pointer;
}
#PC .calendar .val {
	font-size: 100%;
}
.calendar .past .val * {
	color: #666 !important;
	opacity: 0.6;
}

/* nin */
.calendar .val .nin {
	display: flex;
	align-items: center;
	justify-content: center;
	width: 80%;
	height: 80%;
	margin: auto;
	color: #FFF;
	background: #E4007F;
	background: #3366CC;
	border-radius: 3px;
}
.calendar .val .nin strong {
	font-weight: bold;
}
.calendar .val .nin small {
	font-size: 92%;
}
.calendar .now .val .nin {
	color: yellow;
}

/*------------------------------------------------------------------------------
 shiftNotice
 ------------------------------------------------------------------------------*/
.shiftNotice {
	line-height: 1.4;
	margin: 15px 8px;
	padding: 10px;
	font-size: 92%;
	background: #FFC;
}

/*------------------------------------------------------------------------------
 shiftModal
 ------------------------------------------------------------------------------*/
#shiftModal {
	z-index: 1001;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
	background: rgba(0,0,0,0.7);
	visibility: hidden;
	opacity: 0;
	transform: scaleY(0);
	transition: .3s .1s linear;
}

/* shiftModal_opened */
body.shiftModal_opened #shiftModal {
	visibility: visible;
	opacity: 1;
	transform: scaleY(1);
	transition: .3s 0s linear;
}
body.shiftModal_opened {
	position: fixed;
	width: 100%;
	top: 0;
	left: 0;
}

/* shiftModalBody
 ------------------------------------------------------------------------------*/
#shiftModalBody {
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
	text-align: center;
	width: 80%;
	max-height: 80vh;
	background: #FFF;
	border: 1px solid rgba(0, 0, 0, 0.2);
	border-radius: 6px;
	box-shadow: 0 5px 15px rgba(0, 0, 0, 0.5);
	visibility: hidden;
	opacity: 0;
	transition: .2s 0s;
}
body.shiftModal_opened #shiftModalBody {
	visibility: visible;
	opacity: 1;
	transition: .3s .3s;
}

@media screen and (max-width: 320px) {
	#shiftModalBody {
		width: 85%;
	}
}
@media screen and (min-width: 481px) {
	#shiftModalBody {
		width: calc(375px * 0.80);
	}
}

/*------------------------------------------------------------------------------
 shiftList
 ------------------------------------------------------------------------------*/
.shiftList {
	text-align: left;
}

/* head
 ------------------------------------------------------------------------------*/
.shiftHead {
	display: flex;
	align-items: center;
	justify-content: center;
	height: 40px;
	color: #FFF;
	background: #00A0EA;
	border-radius: 6px 6px 0 0;
}
.shiftHead h4 {
	text-align: center;
	flex-grow: 1;
}

/* closeBtn */
.shiftHead .closeBtn {
	margin: 0 3px 0 auto;
	display: block;
	text-decoration: none;
	position: relative;
	width: 25px;
	height: 25px;
	border: 2px solid #FFF;
	border-radius: 50%;
}
.shiftHead .closeBtn:before,
.shiftHead .closeBtn:after {
	position: absolute;
	top: 50%;
	left: 50%;
	content: '';
	width: 2px;
	height: 15px;
	background: #FFF;
}
.shiftHead .closeBtn:before {
	transform: translate(-50%,-50%) rotate(45deg);
}
.shiftHead .closeBtn:after {
	transform: translate(-50%,-50%) rotate(-45deg);
}

/* box
 ------------------------------------------------------------------------------*/
.shiftBoxWrap {
	height: calc(100% - 60px);
	max-height: calc(80vh - 64px);
	overflow-y: auto;
	overscroll-behavior-y: contain;
}
.shiftBox {
	display: flex;
	align-items: center;
	margin: 10px 15px;
}
.shiftBoxL {
	flex: 0 0 40%;
	text-align: right;
}
.shiftBoxR {
	padding-left: 15px;
}

/* photo
 ------------------------------------------------------------------------------*/
.shiftBox .photoWrap {
	position: relative;
	display: inline-block;
	width: 60px;
	height: 60px;
}
.shiftBox .photo {
	overflow: hidden;
	position: relative;
	display: block;
	width: 60px;
	height: 60px;
}
.shiftBox .photo img {
	position: absolute;
	top: 0;
	left: 0;
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
	border-radius: 50%;
}

/* name */
.shiftBox .name {
	display: block;
}
.shiftBox .name a {
	text-decoration: none;
	font-weight: bold;
	font-size: 14px;
	color: deeppink;
}

/* time */
.shiftBox .time {
	display: block;
	margin-top: 7px;
	font-size: 13px;
}
